gio.FilterOutputStream
Prev | PyGio Class Reference | Next

## gio.FilterOutputStream

gio.FilterOutputStream — Filter Output Stream

## Synopsis

    class gio.FilterOutputStream(gio.OutputStream):
        def get_base_stream()
        def get_close_base_stream()
        def set_close_base_stream(close_base)

## Ancestry

    +-- gobject.GObject
      +-- gio.OutputStream
        +-- gio.FilterOutputStream

## gio.FilterOutputStream Properties

"base-stream" | Read - Write - Construct only | The underlying base stream on which the io ops will be done.
"close-base-stream" | Read - Write - Construct only | If the base stream should be closed when the filter stream is closed. Default value: `True`.

## Description

Filter Output Stream.

## Methods

### gio.FilterOutputStream.get_base_stream

        def get_base_stream()

Returns : | A `gio.OutputStream`

The `get_base_stream`() method gets the base stream for the filter stream.

### gio.FilterOutputStream.get_close_base_stream

        def get_close_base_stream()

Returns : | `True` if the base stream will be closed.

The `get_close_base_stream`() method returns whether the base stream will be closed when stream is closed.

### gio.FilterOutputStream.set_close_base_stream

        def set_close_base_stream(close_base)

`close_base` : | `True` to close the base stream.

The `set_close_base_stream`() method sets whether the base stream will be closed when stream is closed.

Prev | Up | Next
gio.FilterInputStream | Home | gio.Icon